package com.huimv.apiservice.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 饲喂记录表
 * </p>
 *
 * @author yinhao
 * @date 2021/7/21 9:59
 */
@TableName("mgt_feed_record")
public class FeedRecordEntity implements Serializable {

    private static final long serialVersionUID = -1186939707601628197L;

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 牧场名称
     */
    @TableField("pig_farm_name")
    private String pigFarm__name;
    /**
     * 牧场id
     */
    @TableField("pig_farm_id")
    private String pigFarm__id;
    /**
     * 测定站设备名称
     */
    @TableField("pms_device_list_name")
    private String pmsDeviceList__name;
    /**
     * 是否有效
     */
    //@TableField("is_valid")
    private Boolean isValid;
    /**
     * 采食量(g)
     */
    //@TableField("feed_weight")
    private Integer feedWeight;
    /**
     * 体重(g)
     */
    private Integer weight;
    /**
     * 猪id
     */
    @TableField("pms_pig_id")
    private String pmsPig__id;
    /**
     * 采食时长(s)
     */
    private Integer times;
    /**
     * 采食速度(g/min)
     */
    private Integer feedSpeed;
    /**
     * 耳标确认码
     */
    @TableField("pms_pig_ear_identify")
    private String pmsPig__earIdentify;
    /**
     * 单杯料重(g)
     */
    private Integer unitAmount;
    /**
     * 采食/体重 (料重比)
     */
    private Integer feedWeightRate;
    /**
     * 采食开始时间
     */
    private Date startTime;
    /**
     * 数据id
     */
    private String dataId;
    /**
     * 采食结束时间
     */
    private Date endTime;
    /**
     * 猪耳标号
     */
    @TableField("pms_pig_ear_number")
    private String pmsPig__earNumber;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPigFarm__name() {
        return pigFarm__name;
    }

    public void setPigFarm__name(String pigFarm__name) {
        this.pigFarm__name = pigFarm__name;
    }

    public String getPigFarm__id() {
        return pigFarm__id;
    }

    public void setPigFarm__id(String pigFarm__id) {
        this.pigFarm__id = pigFarm__id;
    }

    public String getPmsDeviceList__name() {
        return pmsDeviceList__name;
    }

    public void setPmsDeviceList__name(String pmsDeviceList__name) {
        this.pmsDeviceList__name = pmsDeviceList__name;
    }

    public Boolean getIsValid() {
        return isValid;
    }

    public void setIsValid(Boolean valid) {
        isValid = valid;
    }

    public Integer getFeedWeight() {
        return feedWeight;
    }

    public void setFeedWeight(Integer feedWeight) {
        this.feedWeight = feedWeight;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public String getPmsPig__id() {
        return pmsPig__id;
    }

    public void setPmsPig__id(String pmsPig__id) {
        this.pmsPig__id = pmsPig__id;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }

    public Integer getFeedSpeed() {
        return feedSpeed;
    }

    public void setFeedSpeed(Integer feedSpeed) {
        this.feedSpeed = feedSpeed;
    }

    public String getPmsPig__earIdentify() {
        return pmsPig__earIdentify;
    }

    public void setPmsPig__earIdentify(String pmsPig__earIdentify) {
        this.pmsPig__earIdentify = pmsPig__earIdentify;
    }

    public Integer getUnitAmount() {
        return unitAmount;
    }

    public void setUnitAmount(Integer unitAmount) {
        this.unitAmount = unitAmount;
    }

    public Integer getFeedWeightRate() {
        return feedWeightRate;
    }

    public void setFeedWeightRate(Integer feedWeightRate) {
        this.feedWeightRate = feedWeightRate;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getPmsPig__earNumber() {
        return pmsPig__earNumber;
    }

    public void setPmsPig__earNumber(String pmsPig__earNumber) {
        this.pmsPig__earNumber = pmsPig__earNumber;
    }
}
