 package com.huimv.management.controller;

import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.EartagDataEntity;
import com.huimv.management.service.EartagDataService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;

import static java.lang.Thread.sleep;


 /**
 * 
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-21 10:00:18
 */
@RestController
@RequestMapping("management/eartagdate")
public class EartagDataController {
    @Autowired
    private EartagDataService eartagDataService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params) throws InterruptedException {
        PageUtils page = eartagDataService.queryPage(params);
        return R.ok().put("page", page);
    }


     @RequestMapping("/searchDateByCondition")
     public R listby(@RequestParam Map<String, Object> params) throws InterruptedException {
         Map ResultMap = eartagDataService.queryPageBytimeAndEartag(params);
         return R.ok().put("page", ResultMap);
     }




     /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		EartagDataEntity eartagData = eartagDataService.getById(id);

        return R.ok().put("eartagData", eartagData);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody EartagDataEntity eartagData){
		eartagDataService.save(eartagData);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody EartagDataEntity eartagData){
		eartagDataService.updateById(eartagData);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		eartagDataService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }


     @RequestMapping("/getTemperatureCurve")
     public R getTemperatureCurve(@RequestParam Map<String, Object> params){

         return R.ok().put("data", eartagDataService.getTemperatureCurve(params));
     }

}
