package io.renren.modules.sys.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 用户前台展示Vo
 * </p>
 *
 * @author yinhao
 * @date 2021/6/9 11:29
 */
@Data
public class SysUserVo {

    /**
     * 主键
     */
    private Long userId;

    /**
     * 用户名
     */
    private String username;

    /**
     * 性别
     */
    private Integer sex;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GTM+8")
    private Date birthday;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 手机号
     */
    private String mobile;


    /**
     * 状态
     */
    private Short status;

    /**
     * 角色ID列表
     */
    private List<Long> roleIdList;

    /**
     * 部门id
     */
    private String departmentCode;

    /**
     * 部门名称
     */
    private String departmentName;

    /**
     * 岗位id
     */
    private String jobCode;

    /**
     * 岗位名称
     */
    private String jobName;

    /**
     * 牧场id
     */
    private Integer farmId;

//    /**
//     * 所属牧场名称
//     */
//    private String farmName;

    /**
     * 住址
     */
    private String address;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 创建者ID
     */
    private Long createUserId;

    /**
     * 创建时间
     */
    private Date createTime;


}
